Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class PageRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.PortletPageLocator
            |
            +--oracle.portal.provider.v1.RenderManager
                  |
                  +--oracle.portal.provider.v1.http.PageRenderer

Direct Known Subclasses:
  ServletPageRenderer

Deprecated. `PageRenderer` and its subclasses have been replaced by the more flexible `RenderManager`.

public class PageRenderer
extends RenderManager

The PageRenderer implements a bridge from the JPDK PortletRenderer model to JSPs and static files. The PortletRenderer interface specifies the API used by the JPDK to ask a portlet to render itself. Rather than implement this interface specifically, many developers may find it more convenient to express a rendering as a JSP or a static (HTML) file. The PageRenderer provides the bridge between the JPDK API and these methods of expressing a rendition.

The PageRenderer allows the developer to specify a particular JSP or static file used for each of the seven render modes. When a render request is recieved, the Page Renderer intantiates and delegates to either `JspRenderer` or `FileRenderer`. It distinguishes between the two based on the pages's extension. Registered pages with the extension ".jsp" or ".sqljsp" are passed to `JspRenderer`. Otherwise the page is passed to `FileRenderer`.

The PageRenderer is designed to be used in conjunction with the `DefaultProvider`. That is it can be conveniently configured in the provider.xml descriptor file. It utilizes the provider.xml extensibility mechanism that pushes values to it based on matching tag names to accessor methods. For example, the tag corresponds to the accessor setShowPage();

Constructor Summary
`PageRenderer()` Deprecated. Null Constructor

Method Summary
`boolean` | `isPage(PortletRenderRequest pr)` Deprecated. Indicates whether there is a currently registered page for the requests current render mode.
`void` | `renderPortletFooter(PortletRenderRequest pr)` Deprecated. Renders the appropriate footer for the required mode.
`void` | `renderPortletFooter(PortletRenderRequest pr, boolean isJSP, boolean renderContainer)` Deprecated. Renders the appropriate footer for the required mode.
`void` | `renderPortletHeader(PortletRenderRequest pr)` Deprecated. Renders the appropriate header for the required mode.
`void` | `renderPortletHeader(PortletRenderRequest pr, boolean isJSP, boolean renderContainer)` Deprecated. Renders the appropriate header for the required mode.

Methods inherited from class oracle.portal.provider.v1.RenderManager
`getEditFormParameter, getRenderContainer, getRenderCustomize, postInitialize, preInitialize, render, setEditFormParameter, setRenderContainer, setRenderContainer, setRenderCustomize, setRenderCustomize`

Methods inherited from class oracle.portal.provider.v1.http.PortletPageLocator
`getAboutPage, getAboutPage, getAppPath, getAppRoot, getCharSet, getContentType, getDefaultPage, getDefaultPage, getEditDefaultsPage, getEditDefaultsPage, getEditPage, getEditPage, getHelpPage, getHelpPage, getLinkPage, getLinkPage, getManagedRenderer, getPageExpires, getPageParameterName, getPagePath, getPageRealPath, getPreviewPage, getPreviewPage, getShowDetailsPage, getShowDetailsPage, getShowPage, getShowPage, setAboutPage, setAboutPage, setAppPath, setAppRoot, setCharSet, setContentType, setDefaultPage, setDefaultPage, setEditDefaultsPage, setEditDefaultsPage, setEditPage, setEditPage, setHelpPage, setHelpPage, setLinkPage, setLinkPage, setPageExpires, setPageExpires, setPageParameterName, setPreviewPage, setPreviewPage, setShowDetailsPage, setShowDetailsPage, setShowPage, setShowPage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageRenderer

    public PageRenderer()

  Deprecated.
  Null Constructor

Method Detail

### isPage

    public boolean isPage(PortletRenderRequest pr)

  Deprecated.
  Indicates whether there is a currently registered page for the requests current render mode.
  Parameters:
    `pr` - the request object containing the current request details.
  Returns:
    `true` if there is a page for this render mode, `false` otherwise.

### renderPortletHeader

    public void renderPortletHeader(PortletRenderRequest pr)
                             throws PortletException,
                                    java.io.IOException,
                                    AccessControlException

  Deprecated.
  Renders the appropriate header for the required mode. Overrides RenderManager method by calling `renderPortletHeader(PortletRenderRequest,boolean,boolean)` for PageRenderer specific behaviour.
  Parameters:
    `pr` - a PortletRenderRequest

### renderPortletHeader

    public void renderPortletHeader(PortletRenderRequest pr,
                                    boolean isJSP,
                                    boolean renderContainer)
                             throws PortletException,
                                    java.io.IOException,
                                    AccessControlException

  Deprecated.
  Renders the appropriate header for the required mode. Provided for backward compatibility with old PageRenderer interface.
  Parameters:
    `pr` - a PortletRenderRequest
    `isJSP` - boolean flag to indicate if this is a JSP mode.
    `renderContainer` - boolean flag to indicate whether portlet headers and footers should be rendered.

### renderPortletFooter

    public void renderPortletFooter(PortletRenderRequest pr)
                             throws PortletException,
                                    java.io.IOException,
                                    AccessControlException

  Deprecated.
  Renders the appropriate footer for the required mode. Overrides RenderManager method by calling `renderPortletFooter(PortletRenderRequest,boolean,boolean)` for PageRenderer specific behaviour.
  Parameters:
    `pr` - a PortletRenderRequest

### renderPortletFooter

    public void renderPortletFooter(PortletRenderRequest pr,
                                    boolean isJSP,
                                    boolean renderContainer)
                             throws PortletException,
                                    java.io.IOException,
                                    AccessControlException

  Deprecated.
  Renders the appropriate footer for the required mode. Provided for backward compatibility with old PageRenderer interface.
  Parameters:
    `pr` - a PortletRenderRequest
    `isJSP` - boolean flag to indicate if this is a JSP mode.
    `renderContainer` - boolean flag to indicate whether portlet headers and footers should be rendered.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD